Skip to main content
GET
/
v1
/
ethereum_yield_claim
/
{id}
Get Yield Reward Claim
curl --request GET \
  --url https://api.privy.io/v1/ethereum_yield_claim/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'privy-app-id: <privy-app-id>'
{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "caip2": "eip155:8453",
  "status": "pending",
  "rewards": [
    {
      "token_address": "0x1234567890abcdef1234567890abcdef12345678",
      "token_symbol": "MORPHO",
      "amount": "115631364898103632676"
    }
  ],
  "created_at": 1631573050000,
  "updated_at": 1631573050000
}

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

id
string
required

The yield claim transaction ID.

Response

200 - application/json

Yield reward claim retrieved successfully.

Response from a yield reward claim operation.

id
string
required

Privy transaction record ID for the claim operation.

caip2
string
required

An EVM CAIP-2 chain identifier (e.g., "eip155:8453" for Base).

Pattern: ^eip155:\d+$
status
enum<string>
required

The current status of the claim transaction.

Available options:
broadcasted,
confirmed,
execution_reverted,
failed,
replaced,
finalized,
provider_error,
pending
rewards
EthereumYieldClaimReward · object[]
required

List of reward tokens claimed.

created_at
number
required

Unix timestamp of when the claim was created, in milliseconds.

updated_at
number
required

Unix timestamp of when the claim was last updated, in milliseconds.